nmblookup (1)

NAME
nmblookup - NetBIOS over TCP/IP client used to lookup NetBIOS names

SYNOPSIS

nmblookup [-M] [-R] [-S] [-r] [-A] [-h] [-B <broadcastaddress>] [-U <unicastaddress>] [-d debuglevel] [-s smb.conf] [-i <scope>] [-w] [-T] <name>

DESCRIPTION

This program is part of the Samba-TNG suite.

nmblookup is used to query NetBIOS names and map them to IP addresses in a network using NetBIOS over TCP/IP queries. The options allow the name queries to be directed at a particular IP broadcast area or to a particular machine. All queries are done over UDP.

OPTIONS

-M  Searches for a master browser. This is done by doing a broadcast lookup on the special name __MSBROWSE__.

-R  Set the recursion desired bit in the packet to do a recursive lookup. This is used when sending a name query to a machine running a WINS server and the user wishes to query the names in the WINS server. If this bit is unset the normal (broadcast responding) NetBIOS processing code on a machine is used instead. See rfc1001, rfc1002 for details.

-S  Once the name query has returned an IP address then do a node status query as well. A node status query returns the NetBIOS names registered by a host.

-r  Try and bind to UDP port 137 to send and receive UDP datagrams. The reason for this option is a bug in Windows 95 where it ignores the source port of the requesting packet and only replies to UDP port 137. Unfortunately, on most UNIX systems root privilage is needed to bind to this port, and in addition, if the nmbd daemon is running on this machine it also binds to this port.

-A  Interpret <name> as an IP Address and do a node status query on this address.

-h  Print a help (usage) message.

-B <broadcastaddress>
    Send the query to the given broadcast address. Without this option the default behavior of nmblookup is to send the query to the broadcast address of the primary network interface as either auto-detected or defined in the interfaces parameter of the smb.conf file.

-U <unicastaddress>
    Do a unicast query to the specified address or host "unicast address". This option (along with the -R option) is needed to query a WINS server.

-d debuglevel
    debuglevel is an integer from 0 to 10.

    The default value if this parameter is not specified is zero.

    The higher this value, the more detail will be logged about the activities of nmblookup. At level 0, only critical errors and serious warnings will be logged.

    Levels above 1 will generate considerable amounts of log data, and should only be used when investigating a problem. Levels above 3 are designed for use only by developers and generate HUGE amounts of data, most of which is extremely cryptic.

    Note that specifying this parameter here will override the log level parameter in the smb.conf file.

-s smb.conf
    This parameter specifies the pathname to the Samba-TNG configuration file, smb.conf. This file controls all aspects of the Samba-TNG setup on the machine.

-i <scope>
    This specifies a NetBIOS scope that nmblookup will use to communicate with when generating NetBIOS names. For details on the use of NetBIOS scopes, see rfc1001.txt and rfc1002.txt. NetBIOS scopes are very rarely used, only set this parameter if you are the system administrator in charge of all the NetBIOS systems you communicate with.

-w  This parameter tells the program to use the WINS server defined in the smb.conf file.

-T  Translates IP adresses into names.

<name>
    This is the NetBIOS name being queried. Depending upon the previous options this may be a NetBIOS name or IP address. If you use a NetBIOS name then the different name types may be specified by appending #<type> to the name. This name may also be "*", which will return all registered names within a broadcast area.

EXAMPLES

nmblookup can be used to query a WINS server (in the same way nslookup is used to query DNS servers). To query a WINS server, nmblookup must be called like this:

nmblookup -U <server> -R 'name'

For example, running :

nmblookup -U samba-tng.org -R 'IRIX#1B'

would query the WINS server samba-tng.org for the domain master browser (1B name type) for the IRIX workgroup.

SEE ALSO

nmbd(8), nslookup(1), samba(7), smb.conf(5)

AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell.

Samba-TNG is now developed by the Samba-TNG Team as an independent Open Source project. Take a look at the Samba-TNG Forum for more informations.

This manual page originally was written by Karl Auer and updated by Jeremy Allison.

2005 the manpage was adapted to the current version of the Samba-TNG project.